<?php

// IPplan v6.00-BETA2
// Aug 24, 2001
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//

require_once("../config.php");
//require_once("../schema.php");
require_once("../ipplanlib.php");
require_once("../layout/class.layout");

// set language
isset($_COOKIE["ipplanLanguage"]) && myLanguage($_COOKIE['ipplanLanguage']);

newhtml($p);

$w=myheading($p, my_("Migrate IPPlan"), true);
insert($w, $t=container("div"));

insert($t, heading(3, my_("IPPlan for IPv6 - Migration")));

insert($w, $r=container("fieldset",array("class"=>"fieldset")));
insert($r, $q=container("div",array("class"=>"textErrorBig")));
insert($q, textbr(my_("This tool is provided to help ease the migration process between the old (IPv4) version of IPPlan to new format in the IPv6 version.")));
insert($q, generic("br"));
insert($q, textbr(my_("Make sure you have successfully installed this version of IPPlan (IPv6) before cotinuing with the migration.")));
insert($q, generic("br"));
insert($q, textbr(my_("You will need to enter the original database where the information was previously stored in order to proceed. All necessary data will be converted and will be stored in the database defined in you config.php.")));

insert($w, generic("br"));
insert($w, textbrbr(my_("Please enter your old database settings:")));
insert($w, generic("br"));

insert($w, $f = form(array("name"=>"THISFORM","method"=>"POST","action"=>"migration.php")));
insert($f, textbr(my_("DBF_TYPE")));
insert($f, input_text(array("name"=>"dbtype",
                           "value"=>"",
                           "size"=>"20")));
insert($f, generic("br"));
insert($f, generic("br"));
insert($f, textbr(my_("DBF_HOST")));
insert($f, input_text(array("name"=>"dbhost",
                           "value"=>"localhost",
                           "size"=>"20")));
insert($f, generic("br"));
insert($f, generic("br"));
insert($f,  textbr(my_("DBF_NAME")));
insert($f, input_text(array("name"=>"dbname",
                           "value"=>"",
                           "size"=>"20")));
insert($f, generic("br"));
insert($f, generic("br"));
insert($f, textbr(my_("DBF_USER")));
insert($f, input_text(array("name"=>"dbuser",
                           "value"=>"",
                           "size"=>"20")));
insert($f, generic("br"));
insert($f, generic("br"));
insert($f, textbr(my_("DBF_PASSWORD")));
insert($f, password(array("name"=>"dbpassword",
                           "value"=>"",
                           "size"=>"20")));
insert($f, generic("br"));
insert($f, generic("br"));

insert($f,submit(array("value"=>my_("Go!"))));

printhtml($p);
?>

